#include <bits/stdc++.h>
using namespace std;
int main()
{
    cin.tie(0);
    ios_base::sync_with_stdio(0);
    map < long long , long long > mas;
    long long n,a;
    cin>>n;
    for(int i=0;i<n;i++)
    {
        cin>>a;
        mas[-a]++;
    }
    long long st=0,res=0;
    for(auto u:mas)
    {
        long long in=-u.first,kil=u.second;
        if(in<=st)
        {
            break;
        }
        res=res+((in-st)*kil);
        st=st+kil;
    }
    cout<<res;
    return 0;
}
